summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authoronestone <onestone>2007-03-05 17:40:18 +0000
committeronestone <onestone>2007-03-05 17:40:18 +0000
commit040c0a7ebbdd057cc3d5a950053fd4f7fa5a1927 (patch)
tree75e528422aa801e258e2ed7879902a222e94b471 /autogen.sh
downloadbcop-040c0a7ebbdd057cc3d5a950053fd4f7fa5a1927.tar.gz
bcop-040c0a7ebbdd057cc3d5a950053fd4f7fa5a1927.tar.bz2
Initial import of the Beryl/Compiz XML options parser (bcop)
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..80ae530
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,13 @@
+#! /bin/sh
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+ORIGDIR=`pwd`
+cd $srcdir
+
+autoreconf -v --install || exit 1
+cd $ORIGDIR || exit $?
+
+$srcdir/configure "$@"
+